public class SubmitAIJobRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
config
The configurations of the AI job.
|
String |
mediaId
The ID of the video.
|
String |
ownerAccount |
String |
ownerId |
String |
resourceOwnerAccount |
String |
resourceOwnerId |
String |
types
The type of the AI job.
|
String |
userData
The custom settings.
|
| 构造器和说明 |
|---|
SubmitAIJobRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static SubmitAIJobRequest |
build(Map<String,?> map) |
String |
getConfig() |
String |
getMediaId() |
String |
getOwnerAccount() |
String |
getOwnerId() |
String |
getResourceOwnerAccount() |
String |
getResourceOwnerId() |
String |
getTypes() |
String |
getUserData() |
SubmitAIJobRequest |
setConfig(String config) |
SubmitAIJobRequest |
setMediaId(String mediaId) |
SubmitAIJobRequest |
setOwnerAccount(String ownerAccount) |
SubmitAIJobRequest |
setOwnerId(String ownerId) |
SubmitAIJobRequest |
setResourceOwnerAccount(String resourceOwnerAccount) |
SubmitAIJobRequest |
setResourceOwnerId(String resourceOwnerId) |
SubmitAIJobRequest |
setTypes(String types) |
SubmitAIJobRequest |
setUserData(String userData) |
@NameInMap(value="Config") public String config
The configurations of the AI job. The value must be a JSON string.
* If `Types` is set to `AIVideoTag`, you can configure `AnalyseTypes` for `Config` to set the analysis algorithm of a smart tagging job. Valid values:
* ASR: speech recognition.
* OCR: image optical character recognition (OCR).
* If `Types` is set to `AIMediaDNA`, you can configure `DNADBId` for `Config` to set the ID of the media fingerprint library for video fingerprinting jobs.
@NameInMap(value="MediaId") public String mediaId
The ID of the video. You can use one of the following methods to obtain the ID:
* Log on to the [ApsaraVideo VOD](https://vod.console.aliyun.com) console. In the left-side navigation pane, choose **Media Files** > **Audio/Video**. On the Video and Audio page, view the ID of the audio or video file. This method is applicable to files that are uploaded by using the ApsaraVideo VOD console.
* Obtain the value of VideoId from the response to the [CreateUploadVideo](~~55407~~) operation that you call to upload media files.
* Obtain the value of VideoId from the response to the [SearchMedia](~~86044~~) operation after you upload media files.
@NameInMap(value="OwnerAccount") public String ownerAccount
@NameInMap(value="OwnerId") public String ownerId
@NameInMap(value="ResourceOwnerAccount") public String resourceOwnerAccount
@NameInMap(value="ResourceOwnerId") public String resourceOwnerId
@NameInMap(value="Types") public String types
The type of the AI job. Separate multiple types with commas (,). Valid values:
* **AIMediaDNA**: The media fingerprinting job.
* **AIVideoTag**: The smart tagging job.
@NameInMap(value="UserData") public String userData
The custom settings. The value is a JSON string. For more information, see [Request parameters](~~86952#h2--userdata-div-id-userdata-div-3~~).
public static SubmitAIJobRequest build(Map<String,?> map) throws Exception
Exceptionpublic SubmitAIJobRequest setConfig(String config)
public String getConfig()
public SubmitAIJobRequest setMediaId(String mediaId)
public String getMediaId()
public SubmitAIJobRequest setOwnerAccount(String ownerAccount)
public String getOwnerAccount()
public SubmitAIJobRequest setOwnerId(String ownerId)
public String getOwnerId()
public SubmitAIJobRequest setResourceOwnerAccount(String resourceOwnerAccount)
public String getResourceOwnerAccount()
public SubmitAIJobRequest setResourceOwnerId(String resourceOwnerId)
public String getResourceOwnerId()
public SubmitAIJobRequest setTypes(String types)
public String getTypes()
public SubmitAIJobRequest setUserData(String userData)
public String getUserData()
Copyright © 2024. All rights reserved.